StatusPageTemplates
Update status page template
Update a specific template event by id
PUT
/
v1
/
templates
/
{id}
Update status page template
curl --request PUT \
--url https://api.rootly.com/v1/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"status_page_id": "<string>",
"title": "<string>",
"body": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"update_title": "<string>",
"update_status": "<string>",
"should_notify_subscribers": true,
"enabled": true,
"position": 123
}
'import requests
url = "https://api.rootly.com/v1/templates/{id}"
payload = {
"status_page_id": "<string>",
"title": "<string>",
"body": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"update_title": "<string>",
"update_status": "<string>",
"should_notify_subscribers": True,
"enabled": True,
"position": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
status_page_id: '<string>',
title: '<string>',
body: JSON.stringify('<string>'),
created_at: '<string>',
updated_at: '<string>',
update_title: '<string>',
update_status: '<string>',
should_notify_subscribers: true,
enabled: true,
position: 123
})
};
fetch('https://api.rootly.com/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "status_page_templates",
"attributes": {
"status_page_id": "<string>",
"title": "<string>",
"body": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"update_title": "<string>",
"update_status": "<string>",
"should_notify_subscribers": true,
"enabled": true,
"position": 123
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Title of the template
Description of the event the template will populate
Date of creation
Date of last update
Title that will be used for the status page update
Status of the event the template will populate
The kind of the status page template
Available options:
normal, scheduled Controls if incident subscribers should be notified
Enable / Disable the status page template
Position of the workflow task
Was this page helpful?
⌘I
Update status page template
